// ==UserScript==
// @name          	Auto Reload
// @author	  	abc@home
// @description   	Reload webpage every minute 
// @description0x0804  	每分钟刷新指定页面一次
// @include       	- enter url to refresh -
// ==/UserScript==

(function(){
	var aCookie=document.cookie.split('; ');
	for(var i=0; i<aCookie.length; i++){
		if(aCookie[i].indexOf('ScrollTop=')==0){
			var nScrollTop = aCookie[i].substr(10);
			if(nScrollTop>0){
				document.body.scrollTop=nScrollTop;
				document.documentElement.scrollTop=nScrollTop;
			}
			break;
		}
	}
	setTimeout('var nScrollTop=document.documentElement.scrollTop;if(!nScrollTop)nScrollTop=document.body.scrollTop;document.cookie="ScrollTop="+nScrollTop;window.location.reload();', 60000);
})();
